
Foreman - Bug #29311

Deprecation warnings are not being printed for Katello

03/09/2020 04:22 PM - Chris Roberts

Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: API   

Target version: 2.1.0   

Difficulty: trivial Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1812137 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7496

  

Description

We are using the following warnings in the Katello controller code:

https://github.com/Katello/katello/blob/master/app/controllers/katello/api/v2/repositories_controller.rb#L222-L224

This commit looks like it silenced it:

https://github.com/theforeman/foreman/commit/0fd467c844fd200b5da72a0c670a5ac2bd4a61d6

This issue looks to log the warning to Rails for the API calls we care about and ignore the deprecated Rails calls we do not care

about.

Associated revisions

Revision e8e637ba - 03/12/2020 01:56 PM - Chris Roberts

Fixes #29311 - Add Rails logging for API deprecation warnings.

History

#1 - 03/09/2020 04:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7496 added

#2 - 03/10/2020 03:27 PM - Chris Roberts

- Bugzilla link set to 1812137

#3 - 03/10/2020 08:06 PM - Chris Roberts

- Status changed from Ready For Testing to New

- Assignee deleted (Chris Roberts)

- Difficulty deleted (trivial)

- Pull request deleted (https://github.com/theforeman/foreman/pull/7496)

#4 - 03/11/2020 03:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Chris Roberts

- Pull request https://github.com/theforeman/foreman/pull/7496 added

#5 - 03/12/2020 01:56 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#6 - 03/12/2020 02:01 PM - Chris Roberts
https://github.com/Katello/katello/blob/master/app/controllers/katello/api/v2/repositories_controller.rb#L222-L224
https://github.com/theforeman/foreman/commit/0fd467c844fd200b5da72a0c670a5ac2bd4a61d6


- Status changed from Ready For Testing to Closed

Applied in changeset e8e637ba990eb72a0e78493d58f7b52fb44b18f5.

#7 - 03/12/2020 02:06 PM - Chris Roberts

- Target version set to 2.0.1

- Difficulty set to trivial

- Triaged changed from No to Yes

#8 - 03/12/2020 02:07 PM - Chris Roberts

- Target version changed from 2.0.1 to 2.1.0
